from support import GNATCOLL_TestCase, chdir


class Test(GNATCOLL_TestCase):
    @chdir("basics")
    def test_basics(self):
        self.gprbuild()
        self.runexec(["obj/test_promises"], "test.out")
